/**
 * Gulp tasks for bundling vendor modules.
 */
const gulp = require("gulp");
const concat = require("gulp-concat");
const uglify = require("gulp-uglify");
const gutil = require("gulp-util");
const uc = require("./util/unite-config");
const bundle = require("./util/bundle");
const display = require("./util/display");

gulp.task("build-bundle-vendor", () => {
    const uniteConfig = uc.getUniteConfig();
    const buildConfiguration = uc.getBuildConfiguration();

    if (buildConfiguration.bundle) {
        display.info("Bundling", "Vendor bundles");

        const paths = bundle.createPaths(uniteConfig);
        const modules = [];
        for (const key in paths) {
            modules.push(paths[key]);
        }

        return gulp.src(modules)
            .pipe(concat("vendor-bundle.js"))
            .pipe(buildConfiguration.minify ? uglify()
                .on("error", (err) => {
                    display.error(err.toString());
                }) : gutil.noop())
            .pipe(gulp.dest(uniteConfig.directories.dist));
    }
});

/* Generated by UniteJS */
