/**
 * Gulp tasks for unit testing TypeScript.
 */
const display = require("./util/display");
const uc = require("./util/unite-config");
const gulp = require("gulp");
const path = require("path");
const del = require("del");
const runSequence = require("run-sequence");
require("./unit-transpile");
require("./unit-runner");
require("./unit-lint");

gulp.task("unit-clean", (callback) => {
    const uniteConfig = uc.getUniteConfig();
    const toClean = [
        path.join(uniteConfig.directories.unitTestDist, "**/*.spec.js"),
        path.join(uniteConfig.directories.reports, "unit/**/*"),
        path.join(uniteConfig.directories.reports, "coverage/**/*"),
        path.join(uniteConfig.directories.reports, "coverage.json"),
        path.join(uniteConfig.directories.reports, "coverage-final.json")
    ];
    display.info("Cleaning", toClean);
    return del(toClean, callback);
});

gulp.task("unit", (cb) => {
    runSequence("unit-clean", "unit-lint", "unit-transpile", "unit-run-test", cb);
});

gulp.task("unit-ui", (cb) => {
    runSequence("unit-clean", "unit-lint", "unit-transpile", "unit-run-test-ui", cb);
});

/* Generated by UniteJS */
